Get API Key List
curl --request GET \
--url https://geekai.dev/api/v1/api_keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://geekai.dev/api/v1/api_keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://geekai.dev/api/v1/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "<string>",
"name": "<string>",
"value": "<string>",
"group": {
"name": "<string>",
"alias": "<string>",
"desc": "<string>"
},
"credit_limit": 123,
"credit_used": 123,
"expired_at": "2023-12-25",
"expired": true,
"status": true,
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": "unauthorized",
"message": "invalid api key or token"
}{
"code": "invalid_request",
"message": "invalid request"
}API KEY
Get All API Keys
GET
/
api_keys
Get API Key List
Was this page helpful?
⌘I
